/*  - Starting Find Dialog Box
 * Copyright (C) 1999 Sam Lotti
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef FIND_DLG_H
#define FIND_DLG_H


#define MAXTEXT 80

// Handlers for this window


extern GtkWidget * dlg_find;
struct _find_dlg_info {
  gboolean fromStart;
  gchar text[MAXTEXT+1];
  gboolean caseSensitive;
};

typedef struct _find_dlg_info find_dlg_info;

/*
  Note: The structure is allocated (g_malloc) before calling the callback.  It is up to the 
  called application to destroy this structure. 
*/
void open_find_window (void (*ok)(find_dlg_info * info));	// Called when OK is clicked

/* Is there already a find window openend?
*/
gboolean isFindOpen(void);	// Return true if the window is open



void _on_dlgfnd_show(GtkWidget *widget, gpointer user_data);

void _on_find_ok_clicked(GtkButton *button,gpointer user_data);

void _on_find_text_changed(GtkEditable *editable,gpointer user_data);


gboolean _on_dlgfnd_delete_event(GtkWidget *widget,GdkEvent *event,gpointer user_data);


void _on_find_cancel_clicked(GtkButton *button,gpointer user_data);




#endif

