/* GFV User Interface Utility Functions
 * Copyright (C) 1999 Sam Lotti
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef SRL_UI_UTIL_H
#define SRL_UI_UTIL_H

#include <dirent.h>


// -- i havent found it defined .. so for now i'll do it here...
//   if found in gdk or gtk .. replace mine
#define SRL_RIGHT_BUTTON 3


/* A quick info message */
void srlui_info(char * msg);

/* Create a tree from the directory passed */
GtkTree * buildTreeFromDir(GtkTreeItem * parent, char * dir);



// extern GtkWidget * mainApp = NULL; <--- Define this in your app

// --- Status bar utiliy functions
void gui_update(void);

void push_status(char * st);
void pop_status(void);


void setWaitCursor(void);
void setNormalCursor(void);


/* Return true if this is a directory */
int isDirectory(const char * dir);


/* Return true if this is a directory */
int isDirectory2(const char * dir, const char * child);


/* return stat info on a file */
struct stat *  getStat2(const char * dir, const char * name);

/* Must free returned result with g_free
   Result is a chained string of parents to get to the child
   Sep is the character separating the tree items
*/   
gchar * getTreeStringFull(GtkTreeItem * item, gchar sep);


/* Read a file and append it into a text box
   Returns TRUE if OK
   	FALSE if Error
*/
gboolean readFileIntoTextControl(GtkText * cntl, gchar * fname, GdkFont * f);


#endif
